Debian Bug report logs - #693347
ITP: ruby-listen -- Listen to file modifications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "tornow@riseup.net" <tornow@riseup.net>

Date: Thu, 15 Nov 2012 17:09:01 UTC

Owned by: Markus Tornow <tornow@riseup.net>

Severity: wishlist

Fixed in version ruby-listen/2.4.0-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Tornow <tornow@riseup.net>:
Bug#693347; Package wnpp. (Thu, 15 Nov 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "tornow@riseup.net" <tornow@riseup.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Markus Tornow <tornow@riseup.net>. (Thu, 15 Nov 2012 17:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "tornow@riseup.net" <tornow@riseup.net>
To: submit@bugs.debian.org
Subject: ITP: ruby-listen -- Listen to file modifications
Date: Thu, 15 Nov 2012 18:07:30 +0100
[Message part 1 (text/plain, inline)]
package: wnpp
Severity: wishlist
Owner: Markus Tornow <tornow@riseup.net>

*Package Name : listen
 Version : 0.5.3
 Upstream Author : Thibaud Guillaume-Gentil
*URL :  https://github.com/guard/listen
*License : Expat
*Description : Listen to file modifications

Dependency of diaspora, with ITP ##597093
[signature.asc (application/pgp-signature, attachment)]

Added indication that bug 693347 blocks 686566 Request was from Cédric Boutillier <boutil@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2012 22:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Tornow <tornow@riseup.net>:
Bug#693347; Package wnpp. (Wed, 23 Jan 2013 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Tornow <tornow@riseup.net>. (Wed, 23 Jan 2013 00:42:03 GMT) Full text and rfc822 format available.

Message #12 received at 693347@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 693347@bugs.debian.org
Subject: ITP: ruby-listen -- Listen to file modifications
Date: Wed, 23 Jan 2013 01:39:35 +0100
Hi!

Any progress on this?

I am currently looking into packaging lots of dependencies for gitlab,
ruby-listen is one of them.

I did some packaging work before I stumbled upon this ITP. If you
want I can share it.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Tornow <tornow@riseup.net>:
Bug#693347; Package wnpp. (Thu, 24 Jan 2013 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "tornow@riseup.net" <tornow@riseup.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Tornow <tornow@riseup.net>. (Thu, 24 Jan 2013 09:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 693347@bugs.debian.org (full text, mbox):

From: "tornow@riseup.net" <tornow@riseup.net>
To: Per Andersson <avtobiff@gmail.com>, 693347@bugs.debian.org
Subject: Re: Bug#693347: ITP: ruby-listen -- Listen to file modifications
Date: Thu, 24 Jan 2013 10:09:57 +0100
[Message part 1 (text/plain, inline)]
On Wed, 23 Jan 2013 01:39:35 +0100
Per Andersson <avtobiff@gmail.com> wrote:

> Hi!
> 
> Any progress on this?
> 
> I am currently looking into packaging lots of dependencies for gitlab,
> ruby-listen is one of them.
> 
> I did some packaging work before I stumbled upon this ITP. If you
> want I can share it.
> 
> 
> --
> Per

Hi,
i missed the mail, sorry. I also think that in the meantime some of
this has been discussed at the ruby-mailing list.

The repo is here: 
https://gitorious.org/debian-diaspora/ruby-listen
It builds fine, it is lintian clean and it builds with
pbuilder too.

I seem to recall that Cédric Boutillier wanted to check that the
patches are proper. I wanted to ask him about it, and also what the
discussion at the ruby mailing list mean to this package. 
I think you started that thread, but i will give the link anyway:
https://lists.debian.org/debian-ruby/2013/01/msg00033.html
I mainly wanted to talk about this email by A.Terceiro:
https://lists.debian.org/debian-ruby/2013/01/msg00036.html
with Cederic Boutillier. 

In case it was not clear yet: I just started to learn packaging.  

again sorry for the delay,
M.Tornow
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Fri, 24 Jan 2014 13:03:13 GMT) Full text and rfc822 format available.

Notification sent to "tornow@riseup.net" <tornow@riseup.net>:
Bug acknowledged by developer. (Fri, 24 Jan 2014 13:03:13 GMT) Full text and rfc822 format available.

Message #22 received at 693347-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 693347-close@bugs.debian.org
Subject: Bug#693347: fixed in ruby-listen 2.4.0-1
Date: Fri, 24 Jan 2014 13:00:07 +0000
Source: ruby-listen
Source-Version: 2.4.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-listen, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-listen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 24 Jan 2014 01:39:00 +0100
Source: ruby-listen
Binary: ruby-listen
Architecture: source amd64
Version: 2.4.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-listen - Ruby library listening to file modifications
Closes: 693347
Changes: 
 ruby-listen (2.4.0-1) unstable; urgency=medium
 .
   [ Markus Tornow ]
   * Initial release (Closes: #693347)
 .
   [ Cédric Boutillier ]
   * help with packaging effort
Checksums-Sha1: 
 42dd22ca06de0f18876c19488ca965fd69c3af01 2151 ruby-listen_2.4.0-1.dsc
 4d3aa31e4268e1be89559b4959c5c1bc5ef9c537 21780 ruby-listen_2.4.0.orig.tar.gz
 139b9064a3afde49a27b1ca203e2fa0bf85e8db1 3836 ruby-listen_2.4.0-1.debian.tar.xz
 c4ee425ca97e3cc38f73cb00dd6f050c16927e36 13744 ruby-listen_2.4.0-1_amd64.deb
Checksums-Sha256: 
 4e7adad2d078689cfffb7694c82dbdc1dba80fe1dc73d67514309df676768653 2151 ruby-listen_2.4.0-1.dsc
 da6b9a52275a7f599fdd8547bb9593d94bc1ed20675b546a72049f5a4f972bfc 21780 ruby-listen_2.4.0.orig.tar.gz
 2a89ff82accb0a846754fb187167ba3075ba553f9aef9882b15011c8b1eb8090 3836 ruby-listen_2.4.0-1.debian.tar.xz
 64f4c710eaca9e8bc3034977925e90df82dad5a1e51c592f59d16387c91b92b3 13744 ruby-listen_2.4.0-1_amd64.deb
Files: 
 bc20ae9e9cec1884559e8afa5fff0526 2151 ruby optional ruby-listen_2.4.0-1.dsc
 633441951b71d379792dfccf4b7b34a9 21780 ruby optional ruby-listen_2.4.0.orig.tar.gz
 21af9c6ee2e48b5d7995cbe3555a97ec 3836 ruby optional ruby-listen_2.4.0-1.debian.tar.xz
 3a704bbac93e7dad8c23cd9a71116cd4 13744 ruby optional ruby-listen_2.4.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS4buhAAoJEKkHZFuPn48Jf1sP+gJsQbrb+nxrrdJfWjzJYcaU
+lqOpvMN0QhGi34eI0bOxAN/Cm6h2rIELjPjTMPK65u1Fkz6hVnXg34AyG0vaIm6
WegOYLBUrUhbwV9gppqDM6OMsOIFV+tt3xSgRdfKBfWKwvb52pZupqHdU4EbVZun
rD+4eUoTOUJjShCkWzmsg6wBwTuAFyywlceJQdIk4C7Lgmxg+qfmeGHhEZ4dgBGg
+JDi4cKC1uRAd58M9PJGPBxLjDLNyaKKOuBFhPxqSL3LYzoEmldrfoThedPtpVb6
TOOHM4knyRrpN1RaO2gxhON1q3YYX3ZlrB9M3vlyxOdmaegG8N864+Rbvg0AxOLG
uiAU6ew30GSZOtrazg8/Rjy/mdvbwa0lmeHwaaAahTq76DCrwIIb7/5wZfMJoOuT
y8kVGs2sTZ4Z9n5CbrR4OhzFeTK4n8HgvfEuF4t102tBbZ0gf+aY2qszmCWgaR53
uqkGqONUTlQPFZVv2Vy1pUptbC0JXKT1DPwKPNYNtyRAtIJYGSCLmIenwkWqlsEF
PgCJ8SU8wlKE/n75cqI+9sTgeHop1MaClr8Gym35ECJU4XXtb0+Mph7RPkewBF8Y
177EmkD0bsIvzA3yRFEGGSKR52RJ0UaH0ClIddmEsVE7Ses2kVzxOGsjrxyRcVLg
RkEs2q31Nd3PUxGRS/NP
=ru68
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Feb 2014 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:12:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.